FileUtils (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.helpers, class: FileUtils

Package org.apache.cxf.helpers

# Class FileUtils

java.lang.Object
org.apache.cxf.helpers.FileUtils

public final class FileUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static File`
  `createTempFile(String prefix, String suffix)`
  `static File`
  `createTempFile(String prefix, String suffix, File parentDir, boolean deleteOnExit)`
  `static File`
  `createTmpDir()`
  `static File`
  `createTmpDir(boolean addHook)`
  `static void`
  `delete(File f)`
  `static void`
  `delete(File f, boolean inShutdown)`
  `static boolean`
  `exists(File file)`
  `static File`
  `getDefaultTempDir()`
  `static List<File>`
  `getFiles(File dir, String pattern)`
  `static List<File>`
  `getFilesRecurseUsingSuffix(File dir, String suffix)`
  `static List<File>`
  `getFilesUsingSuffix(File dir, String suffix)`
  `static boolean`
  `isValidFileName(String name)`
  `static void`
  `maybeDeleteDefaultTempDir()`
  `static void`
  `mkDir(File dir)`
  `static List<String>`
  `readLines(File file)`
  `static void`
  `removeDir(File d)`
  `static String`
  `stripPath(String name)`
  Strips any leading paths

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isValidFileName

    public static boolean isValidFileName(String name)

  - ### getDefaultTempDir

    public static File getDefaultTempDir()

  - ### maybeDeleteDefaultTempDir

    public static void maybeDeleteDefaultTempDir()

  - ### createTmpDir

    public static File createTmpDir()

  - ### createTmpDir

    public static File createTmpDir(boolean addHook)

  - ### mkDir

    public static void mkDir(File dir)

  - ### removeDir

    public static void removeDir(File d)

  - ### delete

    public static void delete(File f)

  - ### delete

    public static void delete(File f, boolean inShutdown)

  - ### createTempFile

    public static File createTempFile(String prefix, String suffix) throws IOException
    Throws:
      `IOException`

  - ### createTempFile

    public static File createTempFile(String prefix, String suffix, File parentDir, boolean deleteOnExit) throws IOException
    Throws:
      `IOException`

  - ### getFilesUsingSuffix

    public static List<File> getFilesUsingSuffix(File dir, String suffix)

  - ### getFilesRecurseUsingSuffix

    public static List<File> getFilesRecurseUsingSuffix(File dir, String suffix)

  - ### getFiles

    public static List<File> getFiles(File dir, String pattern)

  - ### readLines

    public static List<String> readLines(File file) throws Exception
    Throws:
      `Exception`

  - ### exists

    public static boolean exists(File file)

  - ### stripPath

    public static String stripPath(String name)
    Strips any leading paths